Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Class ContactCenterProgressBar

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.ContactCenterProgressBar

All Implemented Interfaces:
  ContactCenterSimListener

    public class ContactCenterProgressBar

extends Object
implements ContactCenterSimListener

Contact center simulation listener displaying a progress bar for the simulation. This listener shows the number of completed steps over the total number of steps to complete before the simulation ends, with a visual progress indicator.

Constructor Summary
`ContactCenterProgressBar()`

Method Summary
`void` | `simulationExtended(ObservableContactCenterSim sim, int newNumTargetSteps)` Indicates that an in-progress simulation performed by the simulator `sim` is extended to consist of `newNumTargetSteps` steps.
`void` | `simulationStarted(ObservableContactCenterSim sim, int numTargetSteps)` Indicates that a new simulation was started by the simulator `sim`, and that it will consist of `numTargetSteps` steps.
`void` | `simulationStopped(ObservableContactCenterSim sim, boolean aborted)` Indicates that a simulation performed by `sim` is terminated.
`void` | `stepDone(ObservableContactCenterSim sim)` Indicates that a step was done by the simulator `sim`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactCenterProgressBar

    public ContactCenterProgressBar()

Method Detail

### simulationExtended

    public void simulationExtended(ObservableContactCenterSim sim,
                                   int newNumTargetSteps)

  Description copied from interface: `ContactCenterSimListener`
  Indicates that an in-progress simulation performed by the simulator `sim` is extended to consist of `newNumTargetSteps` steps. This occurs when sequential sampling is used to reach a certain percision.

  Specified by:
    `simulationExtended` in interface `ContactCenterSimListener`
  Parameters:
    `sim` - the contact center simulator.
    `newNumTargetSteps` - the new target number of steps.

### simulationStarted

    public void simulationStarted(ObservableContactCenterSim sim,
                                  int numTargetSteps)

  Description copied from interface: `ContactCenterSimListener`
  Indicates that a new simulation was started by the simulator `sim`, and that it will consist of `numTargetSteps` steps.

  Specified by:
    `simulationStarted` in interface `ContactCenterSimListener`
  Parameters:
    `sim` - the contact center simulator.
    `numTargetSteps` - the predicted number of steps.

### simulationStopped

    public void simulationStopped(ObservableContactCenterSim sim,
                                  boolean aborted)

  Description copied from interface: `ContactCenterSimListener`
  Indicates that a simulation performed by `sim` is terminated. If `aborted` is `true`, the simulation was stopped using `ObservableContactCenterSim.abort()`. Otherwise, it has terminated after the target number of steps is reached.

  Specified by:
    `simulationStopped` in interface `ContactCenterSimListener`
  Parameters:
    `sim` - the contact center simulator.
    `aborted` - `true` if and only if the simulation was aborted.

### stepDone

    public void stepDone(ObservableContactCenterSim sim)

  Description copied from interface: `ContactCenterSimListener`
  Indicates that a step was done by the simulator `sim`. One can use `ContactCenterSim.getCompletedSteps()` to obtain the number of completed steps.

  Specified by:
    `stepDone` in interface `ContactCenterSimListener`
  Parameters:
    `sim` - the contact center simulator.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.